API-Dokumentation

SSH-Keys auflisten

SSH-Public-Keys in ~/.ssh/authorized_keys auflisten. Enthält den Panel-Schlüssel für das Web-Terminal.

Erforderlicher Scope: webspace:read

Header

Header Erforderlich Wert
Authorization Ja Bearer DEIN_API_SCHLÜSSEL

Antwort

{
  "data": [
    {
      "id": "sha256-hQ0YFLi6TKgF3E9pn-lcUxVLx1VjSQwc",
      "type": "ssh-ed25519",
      "publicKey": "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5...",
      "comment": "root@node-bf015.sitequest.eu"
    }
  ]
}

Antwortfelder

Feld Typ Beschreibung
id string SHA-256-Fingerprint (URL-safe). Wird als keyId beim Löschen verwendet.

Beispiel

curl https://hosting.site.quest/api/v1/webspaces/69e80ac1.../ssh-keys \
  -H "Authorization: Bearer sq_live_..."

MCP

Diese Aktion ist auch über das webspace_list_ssh_keys MCP-Tool verfügbar.